Package org.apache.sysds.runtime.functionobjects

## Class FunctionObject

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `IndexFunction`, `ValueFunction`

    public abstract class FunctionObject
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`FunctionObject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`
`boolean` `execute​(boolean in)`
`boolean` `execute​(boolean in1, boolean in2)`
`double` `execute​(double in)`
`double` `execute​(double in1, double in2)`
`double` `execute​(long in)`
`double` `execute​(long in1, long in2)`
`String` `execute​(String in1)`
`String` `execute​(String in1, String in2)`
`double` `execute​(HashMap<String,​String> params)`
`Data` `execute​(Data in1, double in2)`
`Data` `execute​(Data in1, double in2, double in3)`
`Data` `execute​(Data in1, double in2, double in3, double in4)`
`Data` `execute​(Data in1, Data in2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FunctionObject

    public FunctionObject()

### Method Detail

#### clone

    public final Object clone()
                       throws CloneNotSupportedException

Throws:
  `CloneNotSupportedException`

#### execute

    public double execute​(double in1,
                          double in2)

#### execute

    public double execute​(long in1,
                          long in2)

#### execute

    public double execute​(double in)

#### execute

    public double execute​(long in)

#### execute

    public boolean execute​(boolean in1,
                           boolean in2)

#### execute

    public boolean execute​(boolean in)

#### execute

    public double execute​(HashMap<String,​String> params)

#### execute

    public Data execute​(Data in1,
                        double in2)

#### execute

    public Data execute​(Data in1,
                        double in2,
                        double in3)

#### execute

    public Data execute​(Data in1,
                        double in2,
                        double in3,
                        double in4)

#### execute

    public Data execute​(Data in1,
                        Data in2)

#### execute

    public String execute​(String in1)

#### execute

    public String execute​(String in1,
                          String in2)